<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="2.16"/>
  <!-- interface-naming-policy project-wide -->
  <object class="GtkListStore" id="groupmemberstore">
    <columns>
      <!-- column-name userid -->
      <column type="gchararray"/>
    </columns>
  </object>
  <object class="GtkListStore" id="groupstore">
    <columns>
      <!-- column-name groupid -->
      <column type="gchararray"/>
    </columns>
  </object>
  <object class="GtkListStore" id="userstore">
    <columns>
      <!-- column-name userid -->
      <column type="gchararray"/>
    </columns>
  </object>
  <object class="GtkWindow" id="main_window">
    <property name="can_focus">False</property>
    <property name="border_width">8</property>
    <property name="title" translatable="yes">Fatdog64 User Manager</property>
    <property name="window_position">center</property>
    <property name="default_width">450</property>
    <property name="default_height">300</property>
    <property name="icon">/usr/share/pixmaps/midi-icons/users48.png</property>
    <child>
      <object class="GtkVBox" id="vbox1">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="spacing">8</property>
        <child>
          <object class="GtkNotebook" id="notebook1">
            <property name="visible">True</property>
            <property name="can_focus">True</property>
            <child>
              <object class="GtkAlignment" id="alignment1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="top_padding">4</property>
                <property name="bottom_padding">4</property>
                <property name="left_padding">4</property>
                <property name="right_padding">4</property>
                <child>
                  <object class="GtkHBox" id="hbox1">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="spacing">8</property>
                    <child>
                      <object class="GtkVBox" id="vbox4">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="spacing">8</property>
                        <child>
                          <object class="GtkScrolledWindow" id="scrolledwindow1">
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="hscrollbar_policy">automatic</property>
                            <property name="vscrollbar_policy">automatic</property>
                            <child>
                              <object class="GtkTreeView" id="userview">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="model">userstore</property>
                                <property name="headers_clickable">False</property>
                                <property name="search_column">0</property>
                                <child>
                                  <object class="GtkTreeViewColumn" id="treeviewcolumn1">
                                    <property name="title">User ID</property>
                                    <child>
                                      <object class="GtkCellRendererText" id="cellrenderertext1"/>
                                      <attributes>
                                        <attribute name="text">0</attribute>
                                      </attributes>
                                    </child>
                                  </object>
                                </child>
                              </object>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">True</property>
                            <property name="fill">True</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkHButtonBox" id="add-user-box">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="spacing">4</property>
                            <property name="layout_style">center</property>
                            <child>
                              <object class="GtkButton" id="add-user-button">
                                <property name="label">gtk-add</property>
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <property name="tooltip_text" translatable="yes">Add new user.</property>
                                <property name="use_stock">True</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">False</property>
                                <property name="position">0</property>
                              </packing>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">True</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkFrame" id="user-details-frame">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="label_xalign">0</property>
                        <child>
                          <object class="GtkAlignment" id="alignment2">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="top_padding">4</property>
                            <property name="bottom_padding">4</property>
                            <property name="left_padding">4</property>
                            <property name="right_padding">4</property>
                            <child>
                              <object class="GtkVBox" id="vbox3">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="spacing">4</property>
                                <child>
                                  <object class="GtkLabel" id="user-details-label">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0</property>
                                    <property name="label" translatable="yes">User details</property>
                                    <property name="wrap">True</property>
                                  </object>
                                  <packing>
                                    <property name="expand">True</property>
                                    <property name="fill">True</property>
                                    <property name="position">0</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkHButtonBox" id="hbuttonbox2">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="spacing">8</property>
                                    <property name="layout_style">center</property>
                                    <child>
                                      <object class="GtkButton" id="delete-user-button">
                                        <property name="label">gtk-delete</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">True</property>
                                        <property name="tooltip_text" translatable="yes">Delete / remove this user. Removing the user will remove everything in the user's home directory too.</property>
                                        <property name="use_stock">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">False</property>
                                        <property name="position">0</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkButton" id="set-password-button">
                                        <property name="label" translatable="yes">Set Password</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">True</property>
                                        <property name="tooltip_text" translatable="yes">Set / change password for this user.</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">False</property>
                                        <property name="position">1</property>
                                      </packing>
                                    </child>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="fill">True</property>
                                    <property name="position">1</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkVButtonBox" id="vbuttonbox1">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="spacing">4</property>
                                    <child>
                                      <object class="GtkButton" id="autologin-as-user-button">
                                        <property name="label" translatable="yes">Autologin as this user</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">True</property>
                                        <property name="tooltip_text" translatable="yes">Configure the system to login automatically as this user on next boot, instead of the default "root".</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">False</property>
                                        <property name="position">0</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkButton" id="launch-desktop-as-user-button">
                                        <property name="label" translatable="yes">Launch desktop as this user</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">True</property>
                                        <property name="tooltip_text" translatable="yes">Launch a secondary desktop as this user.</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">False</property>
                                        <property name="position">1</property>
                                      </packing>
                                    </child>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="fill">True</property>
                                    <property name="position">2</property>
                                  </packing>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel" id="user-details-frame-label">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">&lt;b&gt;Details&lt;/b&gt;</property>
                            <property name="use_markup">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                  </object>
                </child>
              </object>
            </child>
            <child type="tab">
              <object class="GtkLabel" id="label1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">List of users in the system. 
This does not show system users, only those who are members of the "users" group.</property>
                <property name="label" translatable="yes">Users</property>
              </object>
              <packing>
                <property name="tab_fill">False</property>
              </packing>
            </child>
            <child>
              <object class="GtkAlignment" id="alignment3">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="top_padding">4</property>
                <property name="bottom_padding">4</property>
                <property name="left_padding">4</property>
                <property name="right_padding">4</property>
                <child>
                  <object class="GtkHBox" id="hbox2">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="spacing">4</property>
                    <child>
                      <object class="GtkVBox" id="vbox2">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <child>
                          <object class="GtkScrolledWindow" id="scrolledwindow2">
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="hscrollbar_policy">automatic</property>
                            <property name="vscrollbar_policy">automatic</property>
                            <child>
                              <object class="GtkTreeView" id="groupview">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="model">groupstore</property>
                                <property name="search_column">0</property>
                                <child>
                                  <object class="GtkTreeViewColumn" id="treeviewcolumn2">
                                    <property name="title" translatable="yes">Group ID</property>
                                    <child>
                                      <object class="GtkCellRendererText" id="cellrenderertext2"/>
                                      <attributes>
                                        <attribute name="text">0</attribute>
                                      </attributes>
                                    </child>
                                  </object>
                                </child>
                              </object>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">True</property>
                            <property name="fill">True</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkHButtonBox" id="hbuttonbox3">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="spacing">4</property>
                            <property name="homogeneous">True</property>
                            <property name="layout_style">center</property>
                            <child>
                              <object class="GtkButton" id="new-group-button">
                                <property name="label">gtk-new</property>
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <property name="tooltip_text" translatable="yes">Create a new group.</property>
                                <property name="use_stock">True</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">False</property>
                                <property name="position">0</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkButton" id="delete-group-button">
                                <property name="label">gtk-delete</property>
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <property name="tooltip_text" translatable="yes">Delete the currently selected group.</property>
                                <property name="use_stock">True</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">False</property>
                                <property name="position">1</property>
                              </packing>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="padding">8</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">True</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkVBox" id="vbox5">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <child>
                          <object class="GtkScrolledWindow" id="scrolledwindow3">
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="hscrollbar_policy">automatic</property>
                            <property name="vscrollbar_policy">automatic</property>
                            <child>
                              <object class="GtkTreeView" id="groupmemberview">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="model">groupmemberstore</property>
                                <child>
                                  <object class="GtkTreeViewColumn" id="treeviewcolumn3">
                                    <property name="title" translatable="yes">Members</property>
                                    <child>
                                      <object class="GtkCellRendererText" id="cellrenderertext3"/>
                                      <attributes>
                                        <attribute name="text">0</attribute>
                                      </attributes>
                                    </child>
                                  </object>
                                </child>
                              </object>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">True</property>
                            <property name="fill">True</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkHButtonBox" id="hbuttonbox4">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="spacing">4</property>
                            <property name="layout_style">center</property>
                            <child>
                              <object class="GtkButton" id="add-member-button">
                                <property name="label">gtk-add</property>
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <property name="tooltip_text" translatable="yes">Add a new member to the chosen group on the left.</property>
                                <property name="use_stock">True</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">False</property>
                                <property name="position">0</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkButton" id="remove-member-button">
                                <property name="label">gtk-remove</property>
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <property name="tooltip_text" translatable="yes">Remove the currently selected member.</property>
                                <property name="use_stock">True</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">False</property>
                                <property name="position">1</property>
                              </packing>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="padding">8</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">True</property>
                        <property name="fill">True</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                  </object>
                </child>
              </object>
              <packing>
                <property name="position">1</property>
              </packing>
            </child>
            <child type="tab">
              <object class="GtkLabel" id="label2">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">List of all groups in the system, and their members.</property>
                <property name="label" translatable="yes">Groups</property>
              </object>
              <packing>
                <property name="position">1</property>
                <property name="tab_fill">False</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkHButtonBox" id="hbuttonbox1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="spacing">4</property>
            <child>
              <object class="GtkButton" id="close-button">
                <property name="label">gtk-close</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">True</property>
                <property name="use_stock">True</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">0</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">1</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
</interface>
